# Generate GitHub profile

A command-line tool to generate your GitHub activity graph and copy repositories with full commits hitory.
If you find a repository, you can fully copy that into yours.
This means you become author of the repository and keep all commits history and other contributors.

[Leave Comments Here](https://gist.github.com/snape1112/ff9b1d76a03e9c42d2602801a64877db)

## How To Use

1. Make sure you have [Git](https://git-scm.com/book/en/v2/Getting-Started-Installing-Git), [GitHub CLI](https://cli.github.com) and 
   [Node.js](https://nodejs.org/en/download/) installed on your machine.

2. [Generate a new SSH key](https://docs.github.com/en/authentication/connecting-to-github-with-ssh/generating-a-new-ssh-key-and-adding-it-to-the-ssh-agent) if you don't have.

3. Help
```shell script
   npx fake-git-repository --help
   npx fake-git-repository -h
   npx fake-git-repository history -h
   npx fake-git-repository repository -h
```

4. There are two available commands: `history` and `repository`.
You can see the help text for detailed options.

**Examples**
```shell script
   npx fake-git-repository history
   npx fake-git-repository history --workdaysOnly
   npx fake-git-repository history -w
   npx fake-git-repository history --repositoryName fake-commit-history
   npx fake-git-repository history -r fake-commit-history
   npx fake-git-repository history --workdaysOnly --commitsPerDay "0,5" --startDate "2011-01-01" --endDate "2021-01-01" --repositoryName fake-commit-history
   npx fake-git-repository history -w -c "0,5" -s "2011-01-01" -t "2021-01-01" --r fake-commit-history

   npx fake-git-repository repository -u user1
   npx fake-git-repository repository --sourceUser user1
   npx fake-git-repository repository -u user1 -s repo1
   npx fake-git-repository repository --sourceUser user1 --sourceRepo repo1
   npx fake-git-repository repository --sourceUser user1 --sourceRepo repo1 --targetRepo new_repo1 --targetDesc "Great repository" --targetVisi public --changeAuthor user1
   npx fake-git-repository repository -u user1 -s repo1 -t new_repo1 -d "Great repository" -v public -a user1
```

## PS 

It is something I wrote as a joke, so don't take it seriously. I don't encourage you to cheat, but if anybody is judging your professional skills by GitHub profile, they deserve to see a rich GitHub profile with excellent activity graph and repositories.

#### If you rely on this tool, please consider buying me a coffee to send me a little ETH. I would appreciate it.
My address is **0x135c823878da9F9d71e9Fc486fA2FE62cE9861a3**
